Interface Technology Basics: ImplementsImpl< BaseClass, Directly< I, DirectIFs... >, Indirectly< IndirectIFs... > > Class Template Reference
Author: Steinberg

Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | List of all members
ImplementsImpl< BaseClass, Directly< I, DirectIFs... >, Indirectly< IndirectIFs... > > Class Template Reference

This class implements the required virtual methods for the U::Unknown class. More...

`#include <funknownimpl.h>`

Inheritance diagram for ImplementsImpl< BaseClass, Directly< I, DirectIFs... >, Indirectly< IndirectIFs... > >:

## Public Types
using | Base = ImplementsImpl< BaseClass, Directly< I, DirectIFs... >, Indirectly< IndirectIFs... > >
| This is a convenience typedef for the deriving class to pass arguments to the constructor, which are in turn passed to the base class of this class. More...

## Public Member Functions
template<typename... Args>
| ImplementsImpl (Args &&... args)
tresult | queryInterface (const TUID tuid, void **obj) override
uint32 | addRef () override
uint32 | release () override
Unknown * | unknownCast ()

## Detailed Description

template<typename BaseClass, typename I, typename... DirectIFs, typename... IndirectIFs>
class Steinberg::FUnknownImpl::ImplementsImpl< BaseClass, Directly< I, DirectIFs... >, Indirectly< IndirectIFs... > >

This class implements the required virtual methods for the U::Unknown class.

## Member Typedef Documentation

## ◆ Base

using Base = ImplementsImpl<BaseClass, Directly<I, DirectIFs...>, Indirectly<IndirectIFs...> >

This is a convenience typedef for the deriving class to pass arguments to the constructor, which are in turn passed to the base class of this class.

## Constructor & Destructor Documentation

## ◆ ImplementsImpl()

ImplementsImpl | ( | Args &&... | args | ) |
| inline

## Member Function Documentation

## ◆ queryInterface()

tresult queryInterface | ( | const TUID | tuid,
|  | void ** | obj
| ) |  |
| inlineoverride

## ◆ addRef()

uint32 addRef | ( |  | ) |
| inlineoverride

## ◆ release()

uint32 release | ( |  | ) |
| inlineoverride

## ◆ unknownCast()

Unknown * unknownCast | ( |  | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.